Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IPanel

    java.lang.Object
      igeo.gui.IComponent
          igeo.gui.IPanel

All Implemented Interfaces:
  IServerI, java.awt.event.ComponentListener, java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

Direct Known Subclasses:
  IScreenTogglePanel

    public class IPanel

extends IComponent
implements IServerI, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.event.KeyListener, java.awt.event.FocusListener, java.awt.event.ComponentListener

A root GUI object of iGeo managing all IPane instance. An instance IG is keyed by IPanel object when it's in Graphic mode.

Version:
  0.7.1.0;
Author:
  Satoru Sugihara

Field Summary
`IBounds` | `bounds`
`IPane` | `currentMousePane`
`IG` | `ig`
`java.util.ArrayList<IPane>` | `panes`
`int` | `serverStateCount`
`boolean` | `startDynamicServer`

Fields inherited from class igeo.gui.IComponent
`height, visible, width, x, y`

Constructor Summary
`IPanel(int x, int y, int width, int height)`

Method Summary
`void` | `addPane(IPane p)`
`java.io.File` | `chooseFile(java.lang.String[][] acceptableExtensions, java.lang.String[] extensionDescriptions, java.lang.String approveButtonText, boolean writing, java.lang.String defaultPath, java.io.File defaultFile)`
`java.io.File` | `chooseFile(java.lang.String[] acceptableExtensions, java.lang.String extensionDescription, java.lang.String approveButtonText, boolean writing, java.lang.String defaultPath, java.io.File defaultFile)`
`java.io.File` | `chooseFile(java.lang.String acceptableExtension, java.lang.String extensionDescription, java.lang.String approveButtonText, boolean writing, java.lang.String defaultPath, java.io.File defaultFile)`
`java.io.File[]` | `chooseFiles(java.lang.String[] acceptableExtensions, java.lang.String extensionDescription, java.lang.String approveButtonText, java.lang.String defaultPath)`
`java.io.File[]` | `chooseFiles(java.lang.String acceptableExtension, java.lang.String extensionDescription, java.lang.String approveButtonText, java.lang.String defaultPath)`
`void` | `clearPane()`
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`void` | `draw(IGraphics g)`
`void` | `focus()` focus on all pane
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`IBounds` | `getBounds()`
`IPane` | `getPane(int i)`
`IPane` | `getPaneAt(int x, int y)`
`IPane` | `getPaneAt(java.awt.event.MouseEvent e)`
`void` | `hide()`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)`
`int` | `paneNum()`
`void` | `removePane(int i)`
`IServer` | `server()`
`void` | `setBounds()`
`void` | `setIG(IG ig)`
`void` | `setSize(int w, int h)`
`void` | `show()`
`void` | `startDynamicServer()`

Methods inherited from class igeo.gui.IComponent
`contains, getHeight, getWidth, getX, getY, isVisible, setBounds, setBounds, setLocatoin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### panes

    public java.util.ArrayList<IPane> panes

### ig

    public IG ig

### currentMousePane

    public IPane currentMousePane

### bounds

    public IBounds bounds

### serverStateCount

    public int serverStateCount

### startDynamicServer

    public boolean startDynamicServer

Constructor Detail

### IPanel

    public IPanel(int x,
                  int y,
                  int width,
                  int height)

Method Detail

### setIG

    public void setIG(IG ig)

### server

    public IServer server()

  Specified by:
    `server` in interface `IServerI`

### addPane

    public void addPane(IPane p)

### getPane

    public IPane getPane(int i)

### paneNum

    public int paneNum()

### removePane

    public void removePane(int i)

### clearPane

    public void clearPane()

### show

    public void show()

  Overrides:
    `show` in class `IComponent`

### hide

    public void hide()

  Overrides:
    `hide` in class `IComponent`

### focus

    public void focus()

  focus on all pane

### setSize

    public void setSize(int w,
                        int h)

  Overrides:
    `setSize` in class `IComponent`

### startDynamicServer

    public void startDynamicServer()

### draw

    public void draw(IGraphics g)

### getPaneAt

    public IPane getPaneAt(java.awt.event.MouseEvent e)

### getPaneAt

    public IPane getPaneAt(int x,
                           int y)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseWheelMoved

    public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### getBounds

    public IBounds getBounds()

### setBounds

    public void setBounds()

### chooseFile

    public java.io.File chooseFile(java.lang.String acceptableExtension,
                                   java.lang.String extensionDescription,
                                   java.lang.String approveButtonText,
                                   boolean writing,
                                   java.lang.String defaultPath,
                                   java.io.File defaultFile)

### chooseFile

    public java.io.File chooseFile(java.lang.String[] acceptableExtensions,
                                   java.lang.String extensionDescription,
                                   java.lang.String approveButtonText,
                                   boolean writing,
                                   java.lang.String defaultPath,
                                   java.io.File defaultFile)

### chooseFile

    public java.io.File chooseFile(java.lang.String[][] acceptableExtensions,
                                   java.lang.String[] extensionDescriptions,
                                   java.lang.String approveButtonText,
                                   boolean writing,
                                   java.lang.String defaultPath,
                                   java.io.File defaultFile)

### chooseFiles

    public java.io.File[] chooseFiles(java.lang.String acceptableExtension,
                                      java.lang.String extensionDescription,
                                      java.lang.String approveButtonText,
                                      java.lang.String defaultPath)

### chooseFiles

    public java.io.File[] chooseFiles(java.lang.String[] acceptableExtensions,
                                      java.lang.String extensionDescription,
                                      java.lang.String approveButtonText,
                                      java.lang.String defaultPath)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD